package sentio

type Strategy interface {
	Name() string
	Version() string

	Model() string
	PositionSymbols() map[Side]string

	ShouldClosePositions(portfolio Portfolio, proba float64) []string
	ShouldOpenPosition(portfolio Portfolio, proba float64) (*string, float64)
}
